MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
PrefixedLightSong Class Reference

`#include <PrefixedLightSong.hxx>`

Inheritance diagram for PrefixedLightSong:
[legend]
Collaboration diagram for PrefixedLightSong:
[legend]

## Public Member Functions
| PrefixedLightSong (const LightSong &song, const char *base)
Public Member Functions inherited from LightSong
gcc_pure std::string | GetURI () const
gcc_pure SignedSongTime | GetDuration () const

## Additional Inherited Members
Data Fields inherited from LightSong
const char * | directory
| If this is not nullptr, then it denotes a prefix for the uri. More...
const char * | uri
const char * | real_uri
| The "real" URI, the one to be used for opening the resource. More...
const Tag * | tag
| Must not be nullptr. More...
time_t | mtime
SongTime | start_time
| Start of this sub-song within the file. More...
SongTime | end_time
| End of this sub-song within the file. More...

## Detailed Description

Definition at line 29 of file PrefixedLightSong.hxx.

## Constructor & Destructor Documentation

PrefixedLightSong::PrefixedLightSong | ( | const LightSong & | song,
|  | const char * | base
| ) |  |
| inline

Definition at line 33 of file PrefixedLightSong.hxx.

The documentation for this class was generated from the following file:

- db/plugins/simple/PrefixedLightSong.hxx